import { baseRequest } from '../request';

// 获取部门列表
export function fetchDeptList(params?: object) {
  return baseRequest({
    url: '/api/v1/dept',
    method: 'get',
    params
  });
}

// 新增部门
export function fetchDeptAdd(data: object) {
  return baseRequest({
    url: '/api/v1/dept',
    method: 'post',
    data
  });
}

// 查询部门详细
export function fetchDeptDetail(deptId: string) {
  return baseRequest({
    url: `/api/v1/dept/${deptId}`,
    method: 'get'
  });
}

// 修改部门
export function fetchDeptEdit(data: object, id: string) {
  return baseRequest({
    url: `/api/v1/dept/${id}`,
    method: 'put',
    data
  });
}

// 删除部门
export function fetchDeptDel(data: object) {
  return baseRequest({
    url: '/api/v1/dept',
    method: 'delete',
    data
  });
}

// 查询岗位列表
export function fetchPostList(params: object) {
  return baseRequest({
    url: '/api/v1/post',
    method: 'get',
    params
  });
}

// 查询岗位详细
export function fetchPostDetail(postId: string) {
  return baseRequest({
    url: `/api/v1/post/${postId}`,
    method: 'get'
  });
}

// 新增岗位
export function fetchPostAdd(data: object) {
  return baseRequest({
    url: '/api/v1/post',
    method: 'post',
    data
  });
}

// 修改岗位
export function fetchPostEdit(data: object, id: string) {
  return baseRequest({
    url: `/api/v1/post/${id}`,
    method: 'put',
    data
  });
}

// 删除岗位
export function fetchPostDel(data: object) {
  return baseRequest({
    url: '/api/v1/post',
    method: 'delete',
    data
  });
}
